View Issue Details

IDProjectCategoryView StatusLast Update
0015279ScribusInternalpublic2019-06-04 20:56
Reporterdcb Assigned Tojghali  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.4.7 
Target VersionFixed in Version1.5.5.svn 
Summary0015279: Warning: Array index used before limits check
Descriptionscribus-1.4.7/scribus/plugins/tools/2geomtools/lib2geom/piecewise.h:294]: (style) Array index 'ci' is used before limits check.

Source code is

   while(c[ci] < pw.cuts.front() && ci < c.size()) {
TagsNo tags attached.
PatchNo

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2018-04-28 16:32 dcb New Issue
2018-04-29 01:07 jghali Summary scribus-1.4.7/scribus/plugins/tools/2geomtools/lib2geom/piecewise.h:294: limit check after use ? => Warning: Array index used before limits check
2018-04-29 01:07 jghali Assigned To => jghali
2018-04-29 01:07 jghali Status new => resolved
2018-04-29 01:07 jghali Resolution open => fixed
2018-04-29 01:07 jghali Fixed in Version => 1.5.5.svn
2018-04-29 02:40 jghali Category Plug-ins => Internal
2019-06-04 20:56 cbradney Status resolved => closed